#ifndef TACO_VERSION_H
#define TACO_VERSION_H

// This file contains version/config info, gathered at cmake config time.

#define TACO_BUILD_TYPE "RelWithDebInfo"
#define TACO_BUILD_DATE "2019-03-29"

#define TACO_BUILD_COMPILER_ID      "GNU"
#define TACO_BUILD_COMPILER_VERSION "15.1.1"

#define TACO_VERSION_MAJOR "0"
#define TACO_VERSION_MINOR "1"
// if taco starts using a patch number, add  here
// if taco starts using a tweak number, add  here

// For non-git builds, this will be an empty string.
#define TACO_VERSION_GIT_SHORTHASH ""

#define TACO_FEATURE_OPENMP 1
#define TACO_FEATURE_PYTHON 1
#define TACO_FEATURE_CUDA   1

#endif /* TACO_VERSION_H */
